#
# spec file for package gnome-phone-manager
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-phone-manager
Version:        0.69
Release:        9.2
Summary:        Phone Manager for GNOME
License:        GPL-2.0+
Group:          Hardware/Mobile
Url:            http://usefulinc.com/software/phonemgr
Source:         http://download.gnome.org/sources/gnome-phone-manager/0.69/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE gnome-phone-manager-desktop-icon-check.patch bnc#337219
Patch0:         gnome-phone-manager-desktop-icon-check.patch
# PATCH-FIX-UPSTREAM gnome-phone-manager-eds36.patch bgo#680927 dimstar@opensuse.org -- Fix build with e-d-s 3.6.
Patch1:         gnome-phone-manager-eds36.patch
# PATCH-FIX-UPSTREAM gnome-phone-manager-telepathy.patch bgo#697420 dimstar@opensuse.org -- Define prototypes in headers
Patch2:         gnome-phone-manager-telepathy.patch
# PATCH-FIX-UPSTREAM gnome-phone-manager-drop-plugin.patch zaitor@opensuse.org -- Patch out plugin support, no longer in gnome-bluetooth.
Patch3:         gnome-phone-manager-drop-plugin.patch
# PATCH-FIX-UPSTREAM gnome-phone-manager-missing-srcdir.patch dimstar@opensuse.org -- Do not reference non-existing $(builddir)/src
Patch4:         gnome-phone-manager-missing-srcdir.patch
BuildRequires:  fdupes
# Needed by patch1
BuildRequires:  adwaita-icon-theme
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:  pkgconfig(gnokii)
BuildRequires:  pkgconfig(gnome-bluetooth-1.0) >= 3.3
BuildRequires:  pkgconfig(gnome-icon-theme)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(telepathy-glib)
Recommends:     %{name}-lang
Obsoletes:      phonemgr
Provides:       phonemgr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
This program connects to your mobile phone over a serial port with a
cable, infrared, or Bluetooth connection. It listens for text messages
and, when they arrive, displays them on the desktop. A visual indicator
is displayed in the notification area, if available, in the panel.

%package -n gnome-bluetooth-plugin-phone-manager
Summary:        Phone Manager for GNOME -- Plugin for GNOME Bluetooth
Group:          Hardware/Mobile
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:gnome-bluetooth)

%description -n gnome-bluetooth-plugin-phone-manager
This plugin for GNOME Bluetooth extends the new device wizard to allow 1-click
configuration of Phone Manager to use a newly paired phone.

%package -n telepathy-phoney
Summary:        Telepathy connection manager for GNOME Phone Manager
Group:          Hardware/Mobile
Requires:       %{name} = %{version}
Enhances:       packageand(%{name}:telepathy-mission-control)
Provides:       %{name}-telepathy = %{version}
Obsoletes:      %{name}-telepathy < %{version}

%description -n telepathy-phoney
Provides connections to your phone for telepathy enabled applications.

%lang_package
%prep
%setup -q 
%patch0
%if 0%{?suse_version} > 1220
%patch1 -p1
%endif
%patch2 -p1
%if 0%{?suse_version} > 1310
%patch3 -p0
%endif
%patch4 -p1

%build
# Needed by patch1
NOCONFIGURE=1 gnome-autogen.sh
%configure \
        --disable-static \
	--disable-schemas-install
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot}%{_libdir} -name "*.la" -type f -delete -print
%suse_update_desktop_file -N "GNOME Phone Manager" -G "Phone Manager" gnome-phone-manager
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
# Work around for bnc#337219
for dir in 16x16 22x22 24x24 32x32 48x48 256x256; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/$dir/apps/
    cp %{_datadir}/icons/Adwaita/$dir/devices/phone.png %{buildroot}%{_datadir}/icons/hicolor/$dir/apps/gnome-phone-manager.png
done
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.schemas_list
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%{_mandir}/man1/*
%{_bindir}/gnome-phone-manager
%{_datadir}/applications/gnome-phone-manager.desktop
%{_datadir}/gnome-phone-manager
%{_datadir}/icons/hicolor/*/apps/gnome-phone-manager.*

%files -n gnome-bluetooth-plugin-phone-manager
%defattr (-, root, root)
%dir %{_libdir}/gnome-bluetooth/
%dir %{_libdir}/gnome-bluetooth/plugins/
%{_libdir}/gnome-bluetooth/plugins/libphonemgr.so

%files -n telepathy-phoney
%defattr (-, root, root)
%{_datadir}/dbus-1/services/*.service
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/managers
%{_datadir}/telepathy/managers/phoney.manager
%{_libexecdir}/telepathy-phoney

%files lang -f %{name}.lang

%changelog
* Mon Jun 29 2015 dimstar@opensuse.org
- Add gnome-phone-manager-missing-srcdir.patch: Do not reference
  $(builddir)/src, which does not exist. GCC 5 by defaults warns
  on missing include directories (and instead of disabling
  warnings, we just remove them).
* Wed Apr  8 2015 dimstar@opensuse.org
- Add adwaita-icon-theme BuildRequires.
- Do not link gnome-phone-manager to gnome-icon-theme's phone.png,
  but rather use the one shipped by Adwaita (as copy, as g-p-m
  should not depend on adwaita for installation).
* Mon Jul 14 2014 zaitor@opensuse.org
- Add gnome-phone-manager-drop-plugin.patch: Patch out plugin
  support, no longer in gnome-bluetooth.
* Sat Apr  6 2013 dimstar@opensuse.org
- Add gnome-phone-manager-telepathy.patch: Define prototypes in
  headers.
* Sun Mar 24 2013 zaitor@opensuse.org
- Update to version 0.69:
  + Updated translations.
- Clean up spec a bit.
* Sun Feb 10 2013 zaitor@opensuse.org
- Only apply gnome-phone-manager-eds36.patch for 12.3 and newer.
* Tue Nov  6 2012 dimstar@opensuse.org
- Update to 0.68+20121106git:
  + Port from GConf to GSettings
  + Support and Require gnome-bluettoth 3.3
- Drop gnome-phone-manager-bt33api.patch: fixed upstream
- Drop gnome-phone-manager-g_thread.patch: fixed upstream
- Add gnome-phone-manager-eds36.patch: Fix build with
  evolution-data-server 3.6.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Dec  1 2011 dimstar@opensuse.org
- Add gnome-phone-manager-g_thread.patch: g_thread_init is no
  longer used (since glib 2.24).
- Add gnome-phone-manager-bt33api.patch: Support gnome-bluetooth
  3.3 API.
- Add gnome-common BuildRequires and call to gnome-autogen.sh, as
  gnome-phone-manager-bt33api.patch touches configure.in.
* Mon Oct 17 2011 vuntz@opensuse.org
- Update to version 0.68:
  + Builds with strict linkers
  + Updated translations.
- Drop gnome-phone-manager-ld_fix.patch: fixed upstream.
- Remove gnome-common BuildRequires and call to gnome-autogen.sh:
  those were only needed for the patch above.
* Mon Sep 19 2011 vuntz@opensuse.org
- Stop changing libexecdir to /usr/lib/gnome-phone-manager: there's
  no need for that.
- Replace call to autoconf and automake with gnome-common
  BuildRequires and call to gnome-autogen.sh, as this is more solid
  and less likely to break.
* Fri Sep 16 2011 suse-tux@gmx.de
- Add gnome-phone-manager-ld_fix.patch: fix build with strict
  linkers, as in Factory.
- Add call to autoconf and automake, needed for the patch.
* Wed Aug 24 2011 badshah400@gmail.com
- Also provide icons of sizes 32x32, 48x48 and 256x256
* Tue Jul  5 2011 vuntz@opensuse.org
- Update to version 0.67:
  + Compatible with GTK+3
  + Updated translations.
- With the port to GTK+ 3, the package will not build for old
  versions of openSUSE, so we can safely move to pkgconfig()-style
  BuildRequires (as well as moving to GNOME 3 libraries at the same
  time):
  + Old ones: bluez-devel, evolution-devel, gnokii-devel,
    gnome-bluetooth-devel, libcanberra-devel, telepathy-glib-devel.
  + New ones: bluez, glib-2.0, gnokii, gnome-bluetooth-1.0,
    gtk+-3.0, libcanberra-gtk3, libebook-1.2, telepathy-glib.
- Add missing BuildRequires that were implicitly brought in before:
  pkgconfig(gconf-2.0) and pkgconfig(gnome-icon-theme).
- Remove gtkspell-devel BuildRequires: the dependency is now gone,
  with the move to GTK+ 3.
* Fri May 27 2011 vuntz@opensuse.org
- Split gnome-bluetooth plugin in a
  gnome-bluetooth-plugin-phone-manager subpackage.
* Sun Mar 20 2011 dimstar@opensuse.org
- Update to version 0.66:
  + Add a gnome-bluetooth plugin to configure new paired phones
  + Fix automatic phone reconnection
  + Migrate from libglade to GtkBuilder
  + Updated translations.
- Remove libglade2-devel BuildRequires.
- Drop gnome-phone-manager-warnings.patch: fixed upstream.
- Pass --disable-static to configure.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Fri Nov 19 2010 vuntz@opensuse.org
- Add libglade2-devel BuildRequires to fix build.
* Mon Sep  6 2010 vuntz@opensuse.org
- Rename gnome-phone-manager-telepathy to telepathy-phoney, to make
  it clearer that it's telepathy connection manager. Add
  appropriate Provides/Obsoletes.
- Add a packageand(gnome-phone-manager:telepathy-mission-control)
  Enhances. This is not a Supplements as we don't want to get this
  connection manager automatically installed, but it's useful to
  tell users about its existence.
* Mon Mar 22 2010 dimstar@opensuse.org
- No longer link the svg files from hicolor-icon-theme package,
  as they have been dropped there.
- Clean spec file using spec-cleaner.
* Thu Nov 26 2009 dimstar@opensuse.org
- Rebase patches to apply with fuzz=0.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 0.65:
  + Use new chooser button widget from gnome-bluetooth
  + Add setting to set the time/date on the phone when connecting
  + Save phone IMEI on startup
  + More error output when we get disconnected because the device
    went away
  + Require evolution-data-server to parse vCards and vCals
  + Use libcanberra to play sounds
  + Add delete/add/list/put for phonebook entries, calendar items,
    and Todos (unfinished)
- Remove BuildRequires evolution-data-server-devel,
  gstreamer010-devel, libgnomebt-devel, libgnomeui-devel,
  librsvg-devel
- Add BuildRequires evolution-devel, bluez-devel,
  libcanberra-devel, gnome-bluetooth-devel
- Remove PreReq
- Remove AutoReqProv, it's default
- Replace Requires gnome-phone-manager with %%{name} = %%{version} in
  - telepathy section
- Remove custom CFLAGS
- Remove %%if statements <= 10.2
* Fri Sep  5 2008 mboman@novell.com
- Update to version 0.60:
  + Add the NetworkRegistrationChanged signal on the object,
    giving Cell ID details, for use with gsmloc.org and opencellid.org
  + Make out-of-range phones disconnect, and reconnect automatically when
    the phone comes back in range
  + More IrDA connection fixes
* Thu May  8 2008 maw@suse.de
- Add gnome-phone-manager-warnings.patch.
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.51:
  + Add spell checking in the "Send message" entry
  + Fix accessing devices connecting via IrDa or USB or serial
    cables.
* Thu Mar 20 2008 jpr@suse.de
- Update to version 0.50
  * Add support for phones requiring gnapplet
  * Fix detection of the channel for phones that don't advertise
  Serial Profile or Dial-Up Network profiles in the Public Browse
  * Add backend support for delivery reports
  * Add man page
  * Fix a few build problems
  * Fix disconnecting and reconnecting to a phone with a driver
  * Telepathy backend fixes
- Enable telepathy backend
* Wed Feb 20 2008 maw@suse.de
- Update to version 0.40:
  + Use the Serial Port channel on the phone before using the
    Dial-Up Networking, avoid the Nokia PC Suite and "Bluetooth
    Serial Port" channels on Nokias, and the "m-Router
    Connectivity" channel on Sony Ericssons
  + Add support for DKU-2 cables for Nokia phones
  + Add an experimental telepathy backend, to send messages using
    Empathy
  + Fix calculation of the battery level for some drivers
  + Add the Sony Ericsson K800i and a lot of other phones to the
    list of phones
  + Use themed icons in the UI, makes them look better
  + Make a single-click on the icon popup the new message dialogue
  + Show all the mobile phone numbers in the completion popup
  + Remove the need to set autocompletion in Evolution for the
    completion entry.
* Tue Oct 30 2007 jpr@suse.de
- Update to 0.30
  * More fixes for sending and receiving text messages with international
  characters that don't fit in the default GSM alphabet
  * Warn when a phone or driver doesn't support getting the state
  of the power source (such as the nk6510)
  * Add the --config flag to dump a gnokiirc file for debugging
  * Add the --debug/-d flag to enable gnokii debugging
  * Add the Sagem myX-7 and Nokia 3110 to the supported phones
* Fri Oct 26 2007 jpr@suse.de
- Link icons into place to pass brp-desktop check
* Fri Oct 26 2007 jpr@suse.de
- Use %%suse_update_desktop_file correctly to fix build
* Thu Oct 25 2007 jpr@suse.de
- Update to 0.20
  * Fix sending on receiving messages with non-ASCII characters
  * Really fix connecting to Sony Ericsson phones (and a lot of other
  models and makes of phones)
  * Remove most timeouts and polling, and wait for events from gnokii
  * Fix connecting to Sony Ericsson phones (we were using the wrong
  channel)
  * Remove libegg and libgnomeui usage
  * Move phone identification debug functionality to
  gnome-phone-manager itself
  * New shiny icons
  * Use GStreamer to play back sound alerts
  * Add battery reporting interface, which newer gnome-power-manager
  uses
  * Fix the time not showing up in received messages
  * Add framework for call reporting (although no UI yet)
  * Many build fixes
- Remove gnome-phone-manager-desktop.patch, use
  %%suse_update_desktop_file
- Remove gnome-phone-manager-openobex.patch, the check no longer
  exists to patch
- Remove gnome-phone-manager-pixmaps.patch, the icon hierarchy is
  used now
- Remove gnome-phone-manager-bgo-368920-no-c++.patch, it was
  upstreamed
- Remove dont-disable-deprecated.patch, libegg is no longer used
- Use gconf macros
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage.
* Fri Jul 27 2007 maw@suse.de
- Add dont-disable-deprecated.patch
- Use %%fdupes.
* Thu May 24 2007 stbinner@suse.de
- remove X-SuSE-translate from .desktop file patch
* Mon Jan 22 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Wed Nov  1 2006 danw@suse.de
- Add gnome-phone-manager-bgo-368920-no-c++.patch to fix the build
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Wed Sep 20 2006 jhargadon@suse.de
- update to version 0.8
- removed upstreamed patches
- Fix icon loading
- Allow the contact-lookup-entry to work with newer versions of the
  evolution-data-server
- Move the model/driver matching to an XML file, making it easier to
  add new models without recompilation
- Avoid reconnection to the phone when we already use the AT driver
- Fix installation of the icon files, and menu items
- Fix the phone number entry not appearing on startup
- Add support to the Nokia 6021 and Nokia 6230 models
* Mon Sep  4 2006 ro@suse.de
- update to cvs to build with current e-d-s
* Wed Jun 21 2006 dgollub@suse.de
- fixed configure template to handle openobex pkgconfig file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov  3 2005 sbrabec@suse.cz
- Updated to version 0.6.
* Tue Apr 26 2005 sbrabec@suse.cz
- Install missing translation files.
* Fri Feb 11 2005 ro@suse.de
- change to libsigc++12 in neededforbuild
* Wed Nov 24 2004 hvogel@suse.de
- fix desktop file and package icon
* Fri Sep 24 2004 mskibbe@suse.de
- change desktopfile
* Sun Aug  8 2004 ro@suse.de
- update to 0.4
- follow upstream rename to gnome-phone-manager
* Tue May 11 2004 sbrabec@suse.cz
- Fixed gconftool-2 prerequirements.
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Wed Mar  3 2004 sbrabec@suse.cz
- Initial SuSE version 0.2.1 (#33266).
